-------------------------------------------------
-- Eternity alpha 0.5
-- Licence: GPL
-- Copyright (c) 2011 Caldas Lopes aka Linux-man
-------------------------------------------------

function adder()
	local aa = 2 --acceleration of acceleration
	local a_max = 30 --max accel
	local v_max = 800
	local turn = 1
	local img = love.graphics.newImage('img/ships/adder.png')
	local scale = 1
	local fuel_delta = 0.002
	local fuel_max = 50
	local hull_delta = 0.02
	local hull_max = 10
	local cargo_max = 10
	local missiles_max = 3
	local mines_max = 5
	local gun_front_max = 1
	local gun_rear_max = 0
	local gun_left_max = 0
	local gun_right_max = 0
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.3, 255, 128, 0
	local tech = 4
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function asp()
	local aa = 5 --acceleration of acceleration
	local a_max = 40 --max accel
	local v_max = 1800
	local turn = 0.7
	local img = love.graphics.newImage('img/ships/asp.png')
	local scale = 1.4
	local fuel_delta = 0.003
	local fuel_max = 100
	local hull_delta = 0.02
	local hull_max = 10
	local cargo_max = 5
	local missiles_max = 10
	local mines_max = 15
	local gun_front_max = 2
	local gun_rear_max = 2
	local gun_left_max = 0
	local gun_right_max = 0
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.4, 255, 0, 128
	local tech = 5
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function gecko()
	local aa = 4 --acceleration of acceleration
	local a_max = 35 --max accel
	local v_max = 1500
	local turn = 0.8
	local img = love.graphics.newImage('img/ships/gecko.png')
	local scale = 1
	local fuel_delta = 0.002
	local fuel_max = 50
	local hull_delta = 0.02
	local hull_max = 15
	local cargo_max = 5
	local missiles_max = 5
	local mines_max = 8
	local gun_front_max = 2
	local gun_rear_max = 1
	local gun_left_max = 0
	local gun_right_max = 0
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.3, 255, 128, 128
	local tech = 6
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function boa()
	local aa = 3 --acceleration of acceleration
	local a_max = 15 --max accel
	local v_max = 1800
	local turn = 0.3
	local img = love.graphics.newImage('img/ships/boa.png')
	local scale = 1.2
	local fuel_delta = 0.005
	local fuel_max = 300
	local hull_delta = 0.02
	local hull_max = 10
	local cargo_max = 100
	local missiles_max = 15
	local mines_max = 30
	local gun_front_max = 2
	local gun_rear_max = 2
	local gun_left_max = 2
	local gun_right_max = 2
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.6, 64, 0, 255
	local tech = 6
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function cobra()
	local aa = 2 --acceleration of acceleration
	local a_max = 25 --max accel
	local v_max = 1000
	local turn = 0.6
	local img = love.graphics.newImage('img/ships/cobra.png')
	local scale = 1.6
	local fuel_delta = 0.002
	local fuel_max = 100
	local hull_delta = 0.02
	local hull_max = 10
	local cargo_max = 20
	local missiles_max = 5
	local mines_max = 10
	local gun_front_max = 2
	local gun_rear_max = 1
	local gun_left_max = 0
	local gun_right_max = 0
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.4, 255, 255, 0
	local tech = 7
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function spearhead()
	local aa = 4 --acceleration of acceleration
	local a_max = 35 --max accel
	local v_max = 1500
	local turn = 0.4
	local img = love.graphics.newImage('img/ships/spearhead.png')
	local scale = 1
	local fuel_delta = 0.004
	local fuel_max = 120
	local hull_delta = 0.02
	local hull_max = 20
	local cargo_max = 30
	local missiles_max = 8
	local mines_max = 15
	local gun_front_max = 2
	local gun_rear_max = 1
	local gun_left_max = 1
	local gun_right_max = 1
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.5, 100, 192, 100
	local tech = 8
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function python()
	local aa = 2 --acceleration of acceleration
	local a_max = 25 --max accel
	local v_max = 1200
	local turn = 0.2
	local img = love.graphics.newImage('img/ships/python.png')
	local scale = 1.5
	local fuel_delta = 0.006
	local fuel_max = 400
	local hull_delta = 0.02
	local hull_max = 10
	local cargo_max = 250
	local missiles_max = 30
	local mines_max = 50
	local gun_front_max = 3
	local gun_rear_max = 2
	local gun_left_max = 2
	local gun_right_max = 2
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.6, 0, 64, 128
	local tech = 8
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function anaconda()
	local aa = 2 --acceleration of acceleration
	local a_max = 25 --max accel
	local v_max = 1500
	local turn = 0.2
	local img = love.graphics.newImage('img/ships/anaconda.png')
	local scale = 1.8
	local fuel_delta = 0.006
	local fuel_max = 500
	local hull_delta = 0.02
	local hull_max = 10
	local cargo_max = 500
	local missiles_max = 40
	local mines_max = 60
	local gun_front_max = 3
	local gun_rear_max = 3
	local gun_left_max = 2
	local gun_right_max = 2
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.7, 200, 100, 0
	local tech = 10
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function viper()
	local aa = 5 --acceleration of acceleration
	local a_max = 35 --max accel
	local v_max = 1500
	local turn = 0.8
	local img = love.graphics.newImage('img/ships/viper.png')
	local scale = 1.5
	local fuel_delta = 0.002
	local fuel_max = 100
	local hull_delta = 0.02
	local hull_max = 20
	local cargo_max = 0
	local missiles_max = 10
	local mines_max = 10
	local gun_front_max = 2
	local gun_rear_max = 2
	local gun_left_max = 0
	local gun_right_max = 0
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.4, 255, 0, 0
	local tech = 14
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function viper2()
	local aa = 6 --acceleration of acceleration
	local a_max = 40 --max accel
	local v_max = 1800
	local turn = 0.8
	local img = love.graphics.newImage('img/ships/viper2.png')
	local scale = 1.5
	local fuel_delta = 0.002
	local fuel_max = 150
	local hull_delta = 0.02
	local hull_max = 20
	local cargo_max = 0
	local missiles_max = 20
	local mines_max = 10
	local gun_front_max = 3
	local gun_rear_max = 2
	local gun_left_max = 0
	local gun_right_max = 0
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.4, 255, 0, 0
	local tech = 14
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function amarilla()
	local aa = 2 --acceleration of acceleration
	local a_max = 25 --max accel
	local v_max = 1000
	local turn = 0.5
	local img = love.graphics.newImage('img/ships/amarilla.png')
	local scale = 1
	local fuel_delta = 0.002
	local fuel_max = 100
	local hull_delta = 0.02
	local hull_max = 25
	local cargo_max = 100
	local missiles_max = 12
	local mines_max = 10
	local gun_front_max = 2
	local gun_rear_max = 1
	local gun_left_max = 1
	local gun_right_max = 1
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.6, 128, 0, 128
	local tech = 4
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function bandy()
	local aa = 2 --acceleration of acceleration
	local a_max = 25 --max accel
	local v_max = 1000
	local turn = 0.7
	local img = love.graphics.newImage('img/ships/bandy.png')
	local scale = 1
	local fuel_delta = 0.002
	local fuel_max = 100
	local hull_delta = 0.02
	local hull_max = 10
	local cargo_max = 15
	local missiles_max = 12
	local mines_max = 5
	local gun_front_max = 3
	local gun_rear_max = 1
	local gun_left_max = 0
	local gun_right_max = 0
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.3, 128, 64, 128
	local tech = 5
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function keelback()
	local aa = 5 --acceleration of acceleration
	local a_max = 30 --max accel
	local v_max = 1200
	local turn = 0.8
	local img = love.graphics.newImage('img/ships/keelback.png')
	local scale = 1
	local fuel_delta = 0.002
	local fuel_max = 100
	local hull_delta = 0.02
	local hull_max = 10
	local cargo_max = 20
	local missiles_max = 10
	local mines_max = 10
	local gun_front_max = 2
	local gun_rear_max = 1
	local gun_left_max = 0
	local gun_right_max = 0
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.3, 192, 64, 64
	local tech = 6
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function behemoth()
	local aa = 2 --acceleration of acceleration
	local a_max = 25 --max accel
	local v_max = 800
	local turn = 0.1
	local img = love.graphics.newImage('img/ships/behemoth.png')
	local scale = 1
	local fuel_delta = 0.01
	local fuel_max = 1000
	local hull_delta = 0.02
	local hull_max = 200
	local cargo_max = 1000
	local missiles_max = 50
	local mines_max = 100
	local gun_front_max = 3
	local gun_rear_max = 3
	local gun_left_max = 2
	local gun_right_max = 2
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.3, 192, 64, 64
	local tech = 11
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function colossus()
	local aa = 2 --acceleration of acceleration
	local a_max = 30 --max accel
	local v_max = 1000
	local turn = 0.1
	local img = love.graphics.newImage('img/ships/behemoth.png')
	local scale = 1
	local fuel_delta = 0.01
	local fuel_max = 1000
	local hull_delta = 0.02
	local hull_max = 250
	local cargo_max = 1200
	local missiles_max = 50
	local mines_max = 100
	local gun_front_max = 3
	local gun_rear_max = 3
	local gun_left_max = 2
	local gun_right_max = 2
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.3, 192, 64, 64
	local tech = 11
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function cyclops()
	local aa = 3 --acceleration of acceleration
	local a_max = 40 --max accel
	local v_max = 1500
	local turn = 0.05
	local img = love.graphics.newImage('img/ships/behemoth.png')
	local scale = 1.5
	local fuel_delta = 0.01
	local fuel_max = 1000
	local hull_delta = 0.02
	local hull_max = 300
	local cargo_max = 2000
	local missiles_max = 70
	local mines_max = 140
	local gun_front_max = 3
	local gun_rear_max = 3
	local gun_left_max = 3
	local gun_right_max = 3
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.3, 192, 64, 64
	local tech = 11
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function goliath()
	local aa = 3 --acceleration of acceleration
	local a_max = 40 --max accel
	local v_max = 1500
	local turn = 0.05
	local img = love.graphics.newImage('img/ships/behemoth.png')
	local scale = 1.5
	local fuel_delta = 0.01
	local fuel_max = 1000
	local hull_delta = 0.02
	local hull_max = 300
	local cargo_max = 2000
	local missiles_max = 70
	local mines_max = 140
	local gun_front_max = 3
	local gun_rear_max = 3
	local gun_left_max = 3
	local gun_right_max = 3
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.3, 192, 64, 64
	local tech = 11
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function leviathan()
	local aa = 3 --acceleration of acceleration
	local a_max = 40 --max accel
	local v_max = 1500
	local turn = 0.05
	local img = love.graphics.newImage('img/ships/behemoth.png')
	local scale = 1.5
	local fuel_delta = 0.01
	local fuel_max = 1000
	local hull_delta = 0.02
	local hull_max = 300
	local cargo_max = 2000
	local missiles_max = 70
	local mines_max = 140
	local gun_front_max = 3
	local gun_rear_max = 3
	local gun_left_max = 3
	local gun_right_max = 3
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.3, 192, 64, 64
	local tech = 11
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function medusa()
	local aa = 3 --acceleration of acceleration
	local a_max = 40 --max accel
	local v_max = 1500
	local turn = 0.05
	local img = love.graphics.newImage('img/ships/behemoth.png')
	local scale = 1.5
	local fuel_delta = 0.01
	local fuel_max = 1000
	local hull_delta = 0.02
	local hull_max = 300
	local cargo_max = 2000
	local missiles_max = 70
	local mines_max = 140
	local gun_front_max = 3
	local gun_rear_max = 3
	local gun_left_max = 3
	local gun_right_max = 3
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.3, 192, 64, 64
	local tech = 11
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end

function titan()
	local aa = 3 --acceleration of acceleration
	local a_max = 40 --max accel
	local v_max = 1500
	local turn = 0.05
	local img = love.graphics.newImage('img/ships/behemoth.png')
	local scale = 1.5
	local fuel_delta = 0.01
	local fuel_max = 1000
	local hull_delta = 0.02
	local hull_max = 300
	local cargo_max = 2000
	local missiles_max = 70
	local mines_max = 140
	local gun_front_max = 3
	local gun_rear_max = 3
	local gun_left_max = 3
	local gun_right_max = 3
	local gun_auto_max = 0
	local particlelife, r, g, b = 0.3, 192, 64, 64
	local tech = 11
	return 	aa, a_max, v_max, turn, img, scale, fuel_delta, fuel_max, hull_delta,
	hull_max, cargo_max, missiles_max, mines_max, gun_front_max, gun_rear_max,
	gun_left_max, gun_right_max, gun_auto_max, particlelife, r, g, b, tech
end
