-------------------------------------------------
-- Eternity alpha 0.5
-- Licence: GPL
-- Copyright (c) 2011 Caldas Lopes aka Linux-man
-------------------------------------------------

vector = require 'hump.vector'
require('middleclass')
require('compress')
require('randomlua')
require('space.lua')

function love.load()
	rnd = mwc()
	--love.filesystem.setIdentity('ether')
	--if not love.filesystem.isDirectory('save') then love.filesystem.mkdir('save') end
	--love.graphics.setCaption('Ether[nity]')
	frontier = love.graphics.newFont('Frontier.ttf', 10)
	frontier2 = love.graphics.newFont('Frontier.ttf', 14)
	love.graphics.setFont(frontier)
	eng_img = love.graphics.newImage('img/light.png')
	phaser_img = love.graphics.newImage('img/shot.png')
	missile_img = love.graphics.newImage('img/missile.png')
	mine_img = love.graphics.newImage('img/mine.png')
	cargo_img = love.graphics.newImage('img/cargo.png')
	planet_img = {love.graphics.newImage('img/planets/p01.png'), love.graphics.newImage('img/planets/p02.png'),
	love.graphics.newImage('img/planets/p03.png'), love.graphics.newImage('img/planets/p04.png'),
	love.graphics.newImage('img/planets/p05.png'), love.graphics.newImage('img/planets/p06.png'),
	love.graphics.newImage('img/planets/p07.png'), love.graphics.newImage('img/planets/p08.png'),
	love.graphics.newImage('img/planets/p09.png'), love.graphics.newImage('img/planets/p10.png'),
	love.graphics.newImage('img/planets/p11.png'), love.graphics.newImage('img/planets/p12.png'),
	love.graphics.newImage('img/planets/p13.png'), love.graphics.newImage('img/planets/p14.png'),
	love.graphics.newImage('img/planets/p15.png'), love.graphics.newImage('img/planets/p16.png'),
	love.graphics.newImage('img/planets/p17.png'), love.graphics.newImage('img/planets/p18.png'),
	love.graphics.newImage('img/planets/p19.png'), love.graphics.newImage('img/planets/p20.png')}
	neb = love.graphics.newImage('img/nebula.png')
	asteroid_img = {love.graphics.newImage('img/aster1.png'), love.graphics.newImage('img/aster2.png'), love.graphics.newImage('img/aster3.png')}
	station_img = {love.graphics.newImage('img/station1.png'), love.graphics.newImage('img/station2.png')}
	ring_img = love.graphics.newImage('img/ring.png')
	w, h = love.graphics.getWidth(), love.graphics.getHeight()
	framebuffer = love.graphics.newFramebuffer()
	love.graphics.setRenderTarget(framebuffer)
		love.graphics.setLine(1, 'rough')
		love.graphics.setColor(0, 0, 0, 255)
		love.graphics.rectangle('fill', 0, h - 100, w, 100)
		love.graphics.setColor(0, 0, 0, 255)
		love.graphics.circle('fill', w/2, h - 100, 100, 36)
	love.graphics.setRenderTarget()

	u = space()
end

function love.keyreleased(key, unicode)
	u:keyreleased(key, unicode)
end

function love.mousepressed(x, y, button)
   u:mousepressed(x, y, button)
end

function love.update(dt)
	u:update(dt)
end

function love.draw()
	u:draw()
end
